#include <iostream>
#include <valarray>

using namespace std;

int main() {
  valarray<double> a(5), b{1.0, 2.0, 3.0, 4.0, 5.0};

  cout << "a: ";
  for (double& x: a) cin >> x;

  cout << "skalar(a, b) = " << (a*b).sum() << endl;
}
